Bug Hunting Session
Bug 43680 - Custom keyboard shortcuts: Mac equivalent to alt-key shortcuts not working
Summary: Custom keyboard shortcuts: Mac equivalent to alt-key shortcuts not working
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: Other Mac OS X (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 46737 (view as bug list)
Depends on:
Blocks: Shortcuts-Mac
  Show dependency treegraph
 
Reported: 2011-12-09 19:21 UTC by Mark Simon
Modified: 2019-05-17 03:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Simon 2011-12-09 19:21:09 UTC
Problem description:

I have assigned a number of shortcuts using the alt-key in the Windows version, mainly for styles.

I have gone through a similar process in the Macintosh version; here it appears to use the control-key for additional shortcuts.

The problem is that all of these shortcuts are ignored in favour of the system-defined control key shortcuts. The best I can do is to have them ignored completely, which will only enter the unmodified key.

Steps to reproduce:

1. Tools | Customize | Keyboard | Choose a style or other action
2. Assign to ^C (or something)
3. Try Ctrl-C; with or without any combination of modifiers

Current behavior:

If the Ctrl-Key already has a meaning (such as Ctrl-H for backspace), that will be applied; otherwise the unmodified key is entered.

Expected behavior: Assigned action to apply.

Platform (if different from the browser):
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:8.0.1) Gecko/20100101 Firefox/8.0.1
Comment 1 lauregl 2012-04-19 02:29:13 UTC
[REPRODUCIBLE] with LibreOffice 3.5.2 on MacOS X 10.7.3 Spanish UI
Comment 2 Joel Madero 2012-06-17 13:04:52 UTC
This is being downgraded from a major bug as it's really not. I'm assigning it as a trivial bug as it's just dealing with keyboard shortcuts. The general guideline I follow is a major bug MUST deal with something critical such as memory leak, cpu hog, etc...something as minor as a keyboard shortcut issue isn't a major bug. I'm putting it as TRIVIAL->Low (vs. lowest) because I think it affects enough people to constitute low.

I'm also marking as NEW as it's a confirmed bug
Comment 3 Joel Madero 2012-06-17 13:05:32 UTC
Changed my mind, marking as MINOR (one step above TRIVIAL), as it makes things harder to get done :)
Comment 4 Joel Madero 2012-06-17 13:54:28 UTC
*** Bug 46737 has been marked as a duplicate of this bug. ***
Comment 5 Roman Eisele 2012-10-05 08:51:28 UTC
It is possible that this is just the same issue as bug 39477; then the problem is just that the symbol is wrong; the symbol ^ suggests that the Control (Ctrl) key was used, but the *symbol* is wrong, these shortcuts are just using the Alt/Option key.
Comment 6 Kevin Ernst 2012-10-27 01:14:43 UTC
> It is possible that this is just the same issue as bug 39477;
> then the problem is just that the symbol is wrong; the symbol ^
> suggests that the Control (Ctrl) key was used, but the *symbol*
> is wrong, these shortcuts are just using the Alt/Option key.

This certainly had me stumped as well until I found the bug Roman
is referring to (bug #39477). Realizing that '^' meant 'Option'
instead of 'Ctrl' got me a bit farther, but there are still some
niggles with the shortcut editor:

	1) Some odd keys are left out of the available keys you can
	   assign shortcuts to, such as '[' and ']'--the default
	   keybindings for increase/decrease font size on other
	   platforms. Some keys show up in the 'Customize...' dialog,
	   but are greyed out.

	2) Even though 'Option + <key>' and 'Shift + Option + <key>'
	   are technically valid choices according to the LO shortcut
	   editor, these are actually overridden by the Mac OS X
	   keymap for inserting special characters (tested with US
	   default keymap).
	   
	   Not sure of the correct Mac terminology for this, but the
	   behavior is similar to what would be called "dead keys" or
	   perhaps "third level" in X11. For example, the
	   'Customize...' --> Keyboard area lets me assign Option +
	   Shift + 9 to a LibreOffice function, but I get a center
	   dot instead.
Comment 7 QA Administrators 2015-01-05 17:51:50 UTC Comment hidden (obsolete)
Comment 8 Alex Thurgood 2015-03-25 15:50:06 UTC
As for bug 58878, OSX system keyboard shortcuts do not get overridden. I am not entirely sure that this is possible, even if we wanted to be able to provide such functionality.

Issue is still present in 4500 master
Comment 9 MarjaE 2015-09-17 00:36:21 UTC
This breaks duplication.
Comment 10 QA Administrators 2018-05-12 02:28:28 UTC Comment hidden (obsolete)
Comment 11 Mark Simon 2018-05-16 04:32:49 UTC
This bug is still present in Version 6.0.1.1

I note that the shortcuts no longer show ^ but instead show ⌥ which is the usual notation for the alt/option key.

However, it still doesn’t do the job, and I wouldn’t expect it to. On the Macintosh, the option key is used for additional characters, and using it as an alternative for the command or control key is definitely not good practice.

I tried the following:

Tools/Customize/Keyboard

I selected the function 100% and assigned ⌥C. All I get is ç which is normal on the Mac. Trying shift-⌥	-C gave me Ç which is also normal.

Trying ctrl-c just gave me c.

I know that the Mac has a tendency to impose system-wide shortcuts with the command key, but it seems an odd solution to attempt to use the ⌥ key instead. In any case, nothing works.
Comment 12 QA Administrators 2019-05-17 03:09:36 UTC
Dear Mark Simon,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug